## mupdf 1.1%2b-git-20120926-1

=== Makefile ===
# GNU Makefile

build ?= debug

OUT ?= build/$(build)
GEN := generated

# --- Variables, Commands, etc... ---

default: all

# Do not specify CFLAGS or LIBS on the make invocation line - specify
# XCFLAGS or XLIBS instead. Make ignores any lines in the makefile that
# set a variable that was set on the command line.
CFLAGS += $(XCFLAGS) -Ifitz -Ipdf -Ixps -Icbz -Iscripts
LIBS += $(XLIBS) -lfreetype -ljbig2dec -ljpeg -lopenjpeg -lz -lm
LIBS_V8 = $(LIBS) $(V8LIBS)

include Makerules
include Makethird

THIRD_LIBS := $(FREETYPE_LIB)
THIRD_LIBS += $(JBIG2DEC_LIB)
THIRD_LIBS += $(JPEG_LIB)
THIRD_LIBS += $(OPENJPEG_LIB)
THIRD_LIBS += $(ZLIB_LIB)

ifeq "$(verbose)" ""
QUIET_AR = @ echo ' ' ' ' AR $@ ;
QUIET_CC = @ echo ' ' ' ' CC $@ ;
QUIET_CXX = @ echo ' ' ' ' CXX $@ ;
QUIET_GEN = @ echo ' ' ' ' GEN $@ ;
QUIET_LINK = @ echo ' ' ' ' LINK $@ ;
QUIET_MKDIR = @ echo ' ' ' ' MKDIR $@ ;
endif

CC_CMD = $(QUIET_CC) $(CC) $(CFLAGS) -o $@ -c $<
CXX_CMD = $(QUIET_CXX) $(CXX) $(CFLAGS) -o $@ -c $<
AR_CMD = $(QUIET_AR) $(AR) cr $@ $^
LINK_CMD = $(QUIET_LINK) $(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
LINK_V8_CMD = $(QUIET_LINK) $(CXX) $(LDFLAGS) -o $@ $^ $(LIBS_V8)
MKDIR_CMD = $(QUIET_MKDIR) mkdir -p $@

# --- Rules ---

FITZ_HDR := fitz/fitz.h fitz/fitz-internal.h
MUPDF_HDR := $(FITZ_HDR) pdf/mupdf.h pdf/mupdf-internal.h
MUXPS_HDR := $(FITZ_HDR) xps/muxps.h xps/muxps-internal.h
MUCBZ_HDR := $(FITZ_HDR) cbz/mucbz.h

$(OUT) $(GEN) :
	$(MKDIR_CMD)

$(OUT)/%.a :
	$(AR_CMD)
	$(RANLIB_CMD)

$(OUT)/% : $(OUT)/%.o
	$(LINK_CMD)

$(OUT)/%.o : fitz/%.c $(FITZ_HDR) | $(OUT)
	$(CC_CMD)
$(OUT)/%.o : draw/%.c $(FITZ_HDR) | $(OUT)
	$(CC_CMD)
$(OUT)/%.o : pdf/%.c $(MUPDF_HDR) | $(OUT)
	$(CC_CMD)
$(OUT)/%.o : pdf/%.cpp $(MUPDF_HDR) | $(OUT)
	$(CXX_CMD)
$(OUT)/%.o : xps/%.c $(MUXPS_HDR) | $(OUT)
	$(CC_CMD)
$(OUT)/%.o : cbz/%.c $(MUCBZ_HDR) | $(OUT)
	$(CC_CMD)
$(OUT)/%.o : apps/%.c fitz/fitz.h pdf/mupdf.h xps/muxps.h cbz/mucbz.h | $(OUT)
	$(CC_CMD)
$(OUT)/%.o : scripts/%.c | $(OUT)
	$(CC_CMD)

.PRECIOUS : $(OUT)/%.o # Keep intermediates from chained rules

# --- Fitz, MuPDF, MuXPS and MuCBZ library ---

FITZ_LIB := $(OUT)/libfitz.a
FITZ_V8_LIB := $(OUT)/libfitzv8.a

FITZ_SRC := $(notdir $(wildcard fitz/*.c draw/*.c))
FITZ_SRC := $(filter-out draw_simple_scale.c, $(FITZ_SRC))
MUPDF_ALL_SRC := $(notdir $(wildcard pdf/*.c))
MUPDF_SRC := $(filter-out pdf_js.c pdf_jsimp_cpp.c, $(MUPDF_ALL_SRC))
MUPDF_V8_SRC := $(filter-out pdf_js_none.c, $(MUPDF_ALL_SRC))
MUPDF_V8_CPP_SRC := $(notdir $(wildcard pdf/*.cpp))
MUXPS_SRC := $(notdir $(wildcard xps/*.c))
MUCBZ_SRC := $(notdir $(wildcard cbz/*.c))

$(FITZ_LIB) : $(addprefix $(OUT)/, $(FITZ_SRC:%.c=%.o))
$(FITZ_LIB) : $(addprefix $(OUT)/, $(MUPDF_SRC:%.c=%.o))
$(FITZ_LIB) : $(addprefix $(OUT)/, $(MUXPS_SRC:%.c=%.o))
$(FITZ_LIB) : $(addprefix $(OUT)/, $(MUCBZ_SRC:%.c=%.o))

$(FITZ_V8_LIB) : $(addprefix $(OUT)/, $(FITZ_SRC:%.c=%.o))
$(FITZ_V8_LIB) : $(addprefix $(OUT)/, $(MUPDF_V8_SRC:%.c=%.o))
$(FITZ_V8_LIB) : $(addprefix $(OUT)/, $(MUPDF_V8_CPP_SRC:%.cpp=%.o))
$(FITZ_V8_LIB) : $(addprefix $(OUT)/, $(MUXPS_SRC:%.c=%.o))
$(FITZ_V8_LIB) : $(addprefix $(OUT)/, $(MUCBZ_SRC:%.c=%.o))

libs: $(FITZ_LIB) $(THIRD_LIBS)
libs_v8: libs $(FITZ_V8_LIB)

# --- Generated CMAP, FONT and JAVASCRIPT files ---

CMAPDUMP := $(OUT)/cmapdump
FONTDUMP := $(OUT)/fontdump
CQUOTE := $(OUT)/cquote

CMAP_CNS_SRC := $(wildcard cmaps/cns/*)
CMAP_GB_SRC := $(wildcard cmaps/gb/*)
CMAP_JAPAN_SRC := $(wildcard cmaps/japan/*)
CMAP_KOREA_SRC := $(wildcard cmaps/korea/*)
FONT_BASE14_SRC := $(wildcard fonts/*.cff)
FONT_DROID_SRC := fonts/droid/DroidSans.ttf fonts/droid/DroidSansMono.ttf
FONT_CJK_SRC := fonts/droid/DroidSansFallback.ttf
FONT_CJK_FULL_SRC := fonts/droid/DroidSansFallbackFull.ttf
JAVASCRIPT_SRC := pdf/pdf_util.js

$(GEN)/cmap_cns.h : $(CMAP_CNS_SRC)
	$(QUIET_GEN) ./$(CMAPDUMP) $@ $(CMAP_CNS_SRC)
$(GEN)/cmap_gb.h : $(CMAP_GB_SRC)
	$(QUIET_GEN) ./$(CMAPDUMP) $@ $(CMAP_GB_SRC)
$(GEN)/cmap_japan.h : $(CMAP_JAPAN_SRC)
	$(QUIET_GEN) ./$(CMAPDUMP) $@ $(CMAP_JAPAN_SRC)
$(GEN)/cmap_korea.h : $(CMAP_KOREA_SRC)
	$(QUIET_GEN) ./$(CMAPDUMP) $@ $(CMAP_KOREA_SRC)

$(GEN)/font_base14.h : $(FONT_BASE14_SRC)
	$(QUIET_GEN) ./$(FONTDUMP) $@ $(FONT_BASE14_SRC)
$(GEN)/font_droid.h : $(FONT_DROID_SRC)
	$(QUIET_GEN) ./$(FONTDUMP) $@ $(FONT_DROID_SRC)
$(GEN)/font_cjk.h : $(FONT_CJK_SRC)
	$(QUIET_GEN) ./$(FONTDUMP) $@ $(FONT_CJK_SRC)
$(GEN)/font_cjk_full.h : $(FONT_CJK_FULL_SRC)
	$(QUIET_GEN) ./$(FONTDUMP) $@ $(FONT_CJK_FULL_SRC)

$(GEN)/js_util.h : $(JAVASCRIPT_SRC)
	$(QUIET_GEN) ./$(CQUOTE) $@ $(JAVASCRIPT_SRC)

CMAP_HDR := $(addprefix $(GEN)/, cmap_cns.h cmap_gb.h cmap_japan.h cmap_korea.h)
FONT_HDR := $(GEN)/font_base14.h $(GEN)/font_droid.h $(GEN)/font_cjk.h $(GEN)/font_cjk_full.h
JAVASCRIPT_HDR := $(GEN)/js_util.h

ifeq "$(CROSSCOMPILE)" ""
$(CMAP_HDR) : $(CMAPDUMP) | $(GEN)
$(FONT_HDR) : $(FONTDUMP) | $(GEN)
$(JAVASCRIPT_HDR) : $(CQUOTE) | $(GEN)
endif

generate: $(CMAP_HDR) $(FONT_HDR) $(JAVASCRIPT_HDR)

$(OUT)/pdf_cmap_table.o : $(CMAP_HDR)
$(OUT)/pdf_fontfile.o : $(FONT_HDR)
$(OUT)/pdf_js.o : $(JAVASCRIPT_HDR)
$(OUT)/cmapdump.o : pdf/pdf_cmap.c pdf/pdf_cmap_parse.c

# --- Tools and Apps ---

MUDRAW := $(addprefix $(OUT)/, mudraw)
$(MUDRAW) : $(FITZ_LIB) $(THIRD_LIBS)

MUBUSY := $(addprefix $(OUT)/, mubusy)
$(MUBUSY) : $(addprefix $(OUT)/, mupdfclean.o mupdfextract.o mupdfinfo.o mupdfposter.o mupdfshow.o) $(FITZ_LIB) $(THIRD_LIBS)

ifeq "$(NOX11)" ""
MUVIEW := $(OUT)/mupdf
$(MUVIEW) : $(FITZ_LIB) $(THIRD_LIBS)
$(MUVIEW) : $(addprefix $(OUT)/, x11_main.o x11_image.o pdfapp.o)
	$(LINK_CMD) $(X11_LIBS)

MUVIEW_V8 := $(OUT)/mupdf-v8
$(MUVIEW_V8) : $(FITZ_V8_LIB) $(THIRD_LIBS)
$(MUVIEW_V8) : $(addprefix $(OUT)/, x11_main.o x11_image.o pdfapp.o)
	$(LINK_V8_CMD) $(X11_LIBS)
endif

MUJSTEST_V8 := $(OUT)/mujstest-v8
$(MUJSTEST_V8) : $(FITZ_V8_LIB) $(THIRD_LIBS)
$(MUJSTEST_V8) : $(addprefix $(OUT)/, jstest_main.o pdfapp.o)
	$(LINK_V8_CMD)

ifeq "$(V8_PRESENT)" "1"
JSTARGETS := $(MUJSTEST_V8) $(FITZ_V8_LIB) $(MUVIEW_V8)
else
JSTARGETS :=
endif

# --- Format man pages ---

%.txt: %.1
	nroff -man $< | col -b | expand > $@

MAN_FILES := $(wildcard apps/man/*.1)
TXT_FILES := $(MAN_FILES:%.1=%.txt)

catman: $(TXT_FILES)

# --- Install ---

prefix ?= /usr/local
bindir ?= $(prefix)/bin
libdir ?= $(prefix)/lib
incdir ?= $(prefix)/include
mandir ?= $(prefix)/share/man

install: $(FITZ_LIB) $(MUVIEW) $(MUDRAW) $(MUBUSY)
	install -d $(bindir) $(libdir) $(incdir) $(mandir)/man1
	install $(FITZ_LIB) $(libdir)
	install fitz/memento.h fitz/fitz.h pdf/mupdf.h xps/muxps.h cbz/mucbz.h $(incdir)
	install $(MUVIEW) $(MUDRAW) $(MUBUSY) $(bindir)
	install $(wildcard apps/man/*.1) $(mandir)/man1

# --- Clean and Default ---

all: all-nojs $(JSTARGETS)

all-nojs: $(THIRD_LIBS) $(FITZ_LIB) $(MUVIEW) $(MUDRAW) $(MUBUSY)

third: $(THIRD_LIBS)

clean:
	rm -rf $(OUT)
nuke:
	rm -rf build/* $(GEN)

.PHONY: all clean nuke install

=== thirdparty/openjpeg/doc/CMakeLists.txt ===
# Generate target to build the html documentation through CMake tool
# After having configured the project with the BUILD_DOC option you can run make doc
# to generate the html documentation in the doc/html repository of the build folder.

# Try to find the doxygen tool
FIND_PACKAGE(Doxygen)

IF(DOXYGEN_FOUND)
  # Configure the doxygen config file with variable from CMake and move it
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.dox.cmake.in
    ${CMAKE_BINARY_DIR}/doc/Doxyfile-html.dox @ONLY)
  
  # Generate new target to build the html documentation
  ADD_CUSTOM_TARGET(doc ALL
    ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/doc/Doxyfile-html.dox)

ELSE(DOXYGEN_FOUND)

  MESSAGE(STATUS "Doxygen not found, we cannot generate the documentation")

ENDIF(DOXYGEN_FOUND)

=== thirdparty/openjpeg/tests/CMakeLists.txt ===
# Tests
INCLUDE_DIRECTORIES(
  ${OPENJPEG_SOURCE_DIR}/libopenjpeg
  ${OPENJPEG_SOURCE_DIR}/applications/codec
  ${OPENJPEG_SOURCE_DIR}/applications/common
  ${Z_INCLUDE_DIRNAME}
  ${PNG_INCLUDE_DIRNAME}
  ${TIFF_INCLUDE_DIRNAME}
  )

# First thing define the common source:
SET(comparePGXimages_SRCS comparePGXimages.c
  ${OPENJPEG_SOURCE_DIR}/applications/codec/convert.c
  ${OPENJPEG_SOURCE_DIR}/applications/common/opj_getopt.c
  )

SET(compare_dump_files_SRCS compare_dump_files.c
  ${OPENJPEG_SOURCE_DIR}/applications/common/opj_getopt.c)

SET(compareRAWimages_SRCS compareRAWimages.c
  ${OPENJPEG_SOURCE_DIR}/applications/common/opj_getopt.c)

ADD_EXECUTABLE(comparePGXimages ${comparePGXimages_SRCS})
TARGET_LINK_LIBRARIES(comparePGXimages
  ${OPENJPEG_LIBRARY_NAME}
  ${PNG_LIBNAME} ${TIFF_LIBNAME}
  )
# To support universal exe:
IF(ZLIB_FOUND AND APPLE)
  TARGET_LINK_LIBRARIES(comparePGXimages z)
ELSe(ZLIB_FOUND AND APPLE)
  TARGET_LINK_LIBRARIES(comparePGXimages ${Z_LIBNAME})
ENDIF(ZLIB_FOUND AND APPLE)

ADD_EXECUTABLE(compare_dump_files ${compare_dump_files_SRCS})

ADD_EXECUTABLE(compareRAWimages ${compareRAWimages_SRCS})

# No image send to the dashboard if lib PNG is not available.
IF(NOT HAVE_LIBPNG)
  MESSAGE(WARNING "Lib PNG seems to be not available: if you want run the non-regression tests with images reported to the dashboard, you need it (try BUILD_THIRDPARTY)") 
ENDIF(NOT HAVE_LIBPNG)

ADD_SUBDIRECTORY(conformance)
ADD_SUBDIRECTORY(nonregression)

IF(BUILD_JPIP)
  IF(JPIP_SERVER)
    #SET(s "http://jpip.example.com/myFCGI?target=16.jp2&fsiz=170,170&cnew=http&type=jpp-stream")
    SET(s "${JPIP_SERVER}?target=16.jp2&fsiz=170,170&cnew=http&type=jpp-stream")
    SET(p "${CMAKE_CURRENT_BINARY_DIR}/jpip.dat")
    SET(md5 "62b00c620fb0a600c5ffd413cada4674")
    ADD_TEST(TestJPIP1 ${CMAKE_COMMAND} -DD_URL:STRING=${s} -DD_FILE:PATH=${p}
      -DEXPECTED_MD5=${md5} -P ${PROJECT_SOURCE_DIR}/CMake/JPIPTestDriver.cmake)
  ENDIF(JPIP_SERVER)
ENDIF(BUILD_JPIP)

=== thirdparty/openjpeg/applications/JavaOpenJPEG/CMakeLists.txt ===
#JavaOpenJPEG/CMakeLists.txt

# First thing define the common source:
SET(openjpegjni_SRCS
  JavaOpenJPEGDecoder.c
  JavaOpenJPEG.c
  )

# JNI binding:
find_package(JNI REQUIRED)
include_directories(${JNI_INCLUDE_DIRS})

# required header file:
include_directories(
  ${OPENJPEG_SOURCE_DIR}/libopenjpeg
  ${OPENJPEG_SOURCE_DIR}/applications/common
  ${OPENJPEG_SOURCE_DIR}/applications/codec
  )

add_library(openjpegjni MODULE
  ${openjpegjni_SRCS}
  )

# build jar:
FIND_PACKAGE(Java 1.5 REQUIRED) # javac, jar

# build dep list:
file(GLOB java_srcs "java-sources/org/openJpeg/*.java")

# make sure target javac dir exists:
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/classes)
# Build java
ADD_CUSTOM_COMMAND(
  OUTPUT ${LIBRARY_OUTPUT_PATH}/openjpeg.jar
  COMMAND ${Java_JAVAC_EXECUTABLE} -sourcepath  "${CMAKE_CURRENT_SOURCE_DIR}/java-sources"
  ${java_srcs} -d ${CMAKE_CURRENT_BINARY_DIR}/classes
  COMMAND ${Java_JAR_EXECUTABLE} cvf ${LIBRARY_OUTPUT_PATH}/openjpeg.jar org
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/classes
  DEPENDS ${java_srcs}
  COMMENT "javac *.java; jar cvf -> openjpeg.jar"
)

# name the target
ADD_CUSTOM_TARGET(OpenJPEGJavaJar ALL
  DEPENDS ${LIBRARY_OUTPUT_PATH}/openjpeg.jar
  COMMENT "building openjpeg.jar"
)

=== debian/changelog ===
mupdf (1.1+-git-20120926-1) unstable; urgency=low

  * add *-internal.h to libmupdf-dev

 -- Frank Fuhlbrück <frafl@justmail.de>  Mon, 03 Sep 2012 23:14:19 +0200

=== debian/control ===
Source: mupdf
Section: text
Priority: optional
Maintainer: Frank Fuhlbrück <frafl@justmail.de>
Build-Depends: debhelper (>= 5), make, pkg-config, gcc, coreutils, binutils, tar, libfreetype6-dev, libx11-dev, libxext-dev, libopenjpeg-dev, libjpeg7-dev, zlib1g-dev, maemo-optify
Standards-Version: 3.7.2

Package: libjbig2dec-dev-mupdf
Architecture: any
Depends: ${shlibs:Depends}
Description: Development files for jbig2dec
 This package contains the static library and header.
 
Package: libopenjpeg-dev-mupdf
Architecture: any
Depends: ${shlibs:Depends}
Description: Development files for openjpeg (JPEG 2000 codec)
 This package contains the static library and header.

Package: libmupdf-dev
Architecture: any
Depends: ${shlibs:Depends}
Description: Development files for the MuPDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 This package contains the static library and headers.

Package: mupdf
Architecture: any
Depends: ${shlibs:Depends}
Description: A lightweight PDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 The renderer in MuPDF is tailored for high quality anti-aliased graphics.
 It renders text with metrics and spacing accurate to within fractions of a
 pixel for the highest fidelity in reproducing the look of a printed page
 on screen.

Package: mupdf-tools
Architecture: any
Depends: ${shlibs:Depends}
Description: Commmand line tools for the MuPDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 This package contains command line tools using the MuPDF library:
 .
 pdfdraw to render pages to image files.
 .
 pdfshow to examine objects in a PDF file.
 .
 pdfclean to decompress and pretty print streams and objects in PDF files.

## mupdf 1.2

=== Makefile ===
--- 
+++ 
@@ -164,8 +164,8 @@
 MUDRAW := $(addprefix $(OUT)/, mudraw)
 $(MUDRAW) : $(FITZ_LIB) $(THIRD_LIBS)
 
-MUBUSY := $(addprefix $(OUT)/, mubusy)
-$(MUBUSY) : $(addprefix $(OUT)/, mupdfclean.o mupdfextract.o mupdfinfo.o mupdfposter.o mupdfshow.o) $(FITZ_LIB) $(THIRD_LIBS)
+MUTOOL := $(addprefix $(OUT)/, mutool)
+$(MUTOOL) : $(addprefix $(OUT)/, pdfclean.o pdfextract.o pdfinfo.o pdfposter.o pdfshow.o) $(FITZ_LIB) $(THIRD_LIBS)
 
 ifeq "$(NOX11)" ""
 MUVIEW := $(OUT)/mupdf
@@ -208,18 +208,18 @@
 incdir ?= $(prefix)/include
 mandir ?= $(prefix)/share/man
 
-install: $(FITZ_LIB) $(MUVIEW) $(MUDRAW) $(MUBUSY)
-	install -d $(bindir) $(libdir) $(incdir) $(mandir)/man1
-	install $(FITZ_LIB) $(libdir)
-	install fitz/memento.h fitz/fitz.h pdf/mupdf.h xps/muxps.h cbz/mucbz.h $(incdir)
-	install $(MUVIEW) $(MUDRAW) $(MUBUSY) $(bindir)
-	install $(wildcard apps/man/*.1) $(mandir)/man1
+install: $(FITZ_LIB) $(MUVIEW) $(MUDRAW) $(MUTOOL)
+	install -d $(DESTDIR)$(bindir) $(DESTDIR)$(libdir) $(DESTDIR)$(incdir) $(DESTDIR)$(mandir)/man1
+	install $(FITZ_LIB) $(DESTDIR)$(libdir)
+	install fitz/memento.h fitz/fitz.h pdf/mupdf.h xps/muxps.h cbz/mucbz.h $(DESTDIR)$(incdir)
+	install $(MUVIEW) $(MUDRAW) $(MUBUSY) $(DESTDIR)$(bindir)
+	install $(wildcard apps/man/*.1) $(DESTDIR)$(mandir)/man1
 
 # --- Clean and Default ---
 
 all: all-nojs $(JSTARGETS)
 
-all-nojs: $(THIRD_LIBS) $(FITZ_LIB) $(MUVIEW) $(MUDRAW) $(MUBUSY)
+all-nojs: $(THIRD_LIBS) $(FITZ_LIB) $(MUVIEW) $(MUDRAW) $(MUTOOL)
 
 third: $(THIRD_LIBS)

=== debian/changelog ===
mupdf (1.2-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1058068). Remaining changes:
    - debian/patches/ignore_scripts.patch: Don't use included jconfig.h; use
      the system one instead.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 25 Jun 2013 21:10:00 -0400

mupdf (1.2-2) unstable; urgency=low

  * Upload to unstable
  * Fix build with openjpeg 1.3.
  * debian/control: Update mupdf-tools long description.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 20 Jun 2013 22:59:39 +0800

mupdf (1.2-1) experimental; urgency=low

  [ Quoc-Viet Nguyen ]
  * New upstream release: 1.2. (Closes: #690983)
    - Changed MuPDF license to AGPL.
    - Increased openjpeg version dependency to 1.5.
    - New binary `mutool' now includes most mupdf tools. (Closes: #656267).
  * Use debian/watch from Bart Martens.
  
  [ Kan-Ru Chen (陳侃如) ]
  * Add Quoc-Viet Nguyen as co-maintainer. Congratulations!
  * Bump Standards-Version to 3.9.4, no changes needed
  * debian/copyright: Updated.
  * Provides: pdf-viewer. (Closes: #682450)
  * Enable CPPFLAGS hardening flags. Thanks Simon Ruderich (Closes: #665315)
  * debian/rules: Remove generated files at clean target.
  * Fix mudraw.1 formatting.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 20 Jun 2013 01:43:14 +0800

=== debian/control ===
Source: mupdf
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
Uploaders: Quoc-Viet Nguyen <afelion@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1.1~),
 libfreetype6-dev, pkg-config, libjpeg-dev, libjbig2dec-dev,
 libopenjpeg-dev, libx11-dev, libxext-dev, zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://mupdf.com/
Vcs-Git: git://git.debian.org/git/users/koster/mupdf.git
Vcs-Browser: http://git.debian.org/?p=users/koster/mupdf.git;a=summary

Package: libmupdf-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
Description: development files for the MuPDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 This package contains the static library and headers.

Package: mupdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mupdf-tools
Provides: pdf-viewer
Description: lightweight PDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 The renderer in MuPDF is tailored for high quality anti-aliased graphics.
 It renders text with metrics and spacing accurate to within fractions of a
 pixel for the highest fidelity in reproducing the look of a printed page
 on screen.

Package: mupdf-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: commmand line tools for the MuPDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 This package contains command line tools using the MuPDF library:
  - mutool - tool for clean, extract, inspect PDF documents.
  - mudraw - render PDF/XPS/CBZ documents.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable verbose builds to detect missing (hardening) flags.
#export verbose=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags.
CFLAGS += $(CPPFLAGS)

ifneq (,$(filter x-fpic,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -fPIC
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

override_dh_auto_build:
	$(MAKE) build=release OS=Linux

override_dh_auto_install:
	$(MAKE) build=release OS=Linux prefix=$(CURDIR)/debian/tmp/usr install

override_dh_auto_clean:
	-rm -rf build
	-rm -rf generated

%:
	dh $@

## mupdf 1.3

=== Makefile ===
# GNU Makefile

build ?= debug

OUT := build/$(build)
GEN := generated

default: all

# --- Configuration ---

# Do not specify CFLAGS or LIBS on the make invocation line - specify
# XCFLAGS or XLIBS instead. Make ignores any lines in the makefile that
# set a variable that was set on the command line.
CFLAGS += $(XCFLAGS) -Iinclude -Iscripts -I$(GEN)
LIBS += $(XLIBS) -lm

include Makerules
include Makethird

THIRD_LIBS += $(FREETYPE_LIB)
THIRD_LIBS += $(JBIG2DEC_LIB)
THIRD_LIBS += $(JPEG_LIB)
THIRD_LIBS += $(OPENJPEG_LIB)
THIRD_LIBS += $(OPENSSL_LIB)
THIRD_LIBS += $(ZLIB_LIB)

LIBS += $(FREETYPE_LIBS)
LIBS += $(JBIG2DEC_LIBS)
LIBS += $(JPEG_LIBS)
LIBS += $(OPENJPEG_LIBS)
LIBS += $(OPENSSL_LIBS)
LIBS += $(ZLIB_LIBS)

CFLAGS += $(FREETYPE_CFLAGS)
CFLAGS += $(JBIG2DEC_CFLAGS)
CFLAGS += $(JPEG_CFLAGS)
CFLAGS += $(OPENJPEG_CFLAGS)
CFLAGS += $(OPENSSL_CFLAGS)
CFLAGS += $(ZLIB_CFLAGS)

# --- Commands ---

ifeq "$(verbose)" ""
QUIET_AR = @ echo ' ' ' ' AR $@ ;
QUIET_CC = @ echo ' ' ' ' CC $@ ;
QUIET_CXX = @ echo ' ' ' ' CXX $@ ;
QUIET_GEN = @ echo ' ' ' ' GEN $@ ;
QUIET_LINK = @ echo ' ' ' ' LINK $@ ;
QUIET_MKDIR = @ echo ' ' ' ' MKDIR $@ ;
QUIET_RM = @ echo ' ' ' ' RM $@ ;
endif

CC_CMD = $(QUIET_CC) $(CC) $(CFLAGS) -o $@ -c $<
CXX_CMD = $(QUIET_CXX) $(CXX) $(CFLAGS) -o $@ -c $<
AR_CMD = $(QUIET_AR) $(AR) cr $@ $^
LINK_CMD = $(QUIET_LINK) $(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
MKDIR_CMD = $(QUIET_MKDIR) mkdir -p $@
RM_CMD = $(QUIET_RM) rm -f $@

# --- File lists ---

ALL_DIR := $(OUT)/fitz
ALL_DIR += $(OUT)/pdf $(OUT)/pdf/js
ALL_DIR += $(OUT)/xps
ALL_DIR += $(OUT)/cbz
ALL_DIR += $(OUT)/img
ALL_DIR += $(OUT)/tools
ALL_DIR += $(OUT)/platform/x11

FITZ_HDR := include/mupdf/fitz.h $(wildcard include/mupdf/fitz/*.h)
PDF_HDR := include/mupdf/pdf.h $(wildcard include/mupdf/pdf/*.h)
XPS_HDR := include/mupdf/xps.h
CBZ_HDR := include/mupdf/cbz.h
IMG_HDR := include/mupdf/img.h

FITZ_SRC := $(wildcard source/fitz/*.c)
PDF_SRC := $(wildcard source/pdf/*.c)
XPS_SRC := $(wildcard source/xps/*.c)
CBZ_SRC := $(wildcard source/cbz/*.c)
IMG_SRC := $(wildcard source/img/*.c)

FITZ_SRC_HDR := $(wildcard source/fitz/*.h)
PDF_SRC_HDR := $(wildcard source/pdf/*.h)
XPS_SRC_HDR := $(wildcard source/xps/*.h)
CBZ_SRC_HDR := $(wildcard source/cbz/*.h)
IMG_SRC_HDR := $(wildcard source/img/*.h)

FITZ_OBJ := $(subst source/, $(OUT)/, $(addsuffix .o, $(basename $(FITZ_SRC))))
PDF_OBJ := $(subst source/, $(OUT)/, $(addsuffix .o, $(basename $(PDF_SRC))))
XPS_OBJ := $(subst source/, $(OUT)/, $(addsuffix .o, $(basename $(XPS_SRC))))
CBZ_OBJ := $(subst source/, $(OUT)/, $(addsuffix .o, $(basename $(CBZ_SRC))))
IMG_OBJ := $(subst source/, $(OUT)/, $(addsuffix .o, $(basename $(IMG_SRC))))

PDF_JS_V8_OBJ := $(OUT)/pdf/js/pdf-js.o $(OUT)/pdf/js/pdf-jsimp-cpp.o $(OUT)/pdf/js/pdf-jsimp-v8.o
PDF_JS_NONE_OBJ := $(OUT)/pdf/js/pdf-js-none.o

$(FITZ_OBJ) : $(FITZ_HDR) $(FITZ_SRC_HDR)
$(PDF_OBJ) : $(FITZ_HDR) $(PDF_HDR) $(PDF_SRC_HDR)
$(XPS_OBJ) : $(FITZ_HDR) $(XPS_HDR) $(XPS_SRC_HDR)
$(CBZ_OBJ) : $(FITZ_HDR) $(CBZ_HDR) $(CBZ_SRC_HDR)
$(IMG_OBJ) : $(FITZ_HDR) $(IMG_HDR) $(IMG_SRC_HDR)

$(PDF_JS_V8_OBJ) : $(FITZ_HDR) $(PDF_HDR) $(PDF_SRC_HDR)
$(PDF_JS_NONE_OBJ) :=  $(FITZ_HDR) $(PDF_HDR) $(PDF_SRC_HDR)

# --- Library ---

MUPDF_LIB := $(OUT)/libmupdf.a
MUPDF_JS_NONE_LIB := $(OUT)/libmupdf-js-none.a

$(MUPDF_LIB) : $(FITZ_OBJ) $(PDF_OBJ) $(XPS_OBJ) $(CBZ_OBJ) $(IMG_OBJ)
$(MUPDF_JS_NONE_LIB) : $(PDF_JS_NONE_OBJ)

ifeq "$(V8_PRESENT)" "yes"
MUPDF_JS_V8_LIB := $(OUT)/libmupdf-js-v8.a
$(MUPDF_JS_V8_LIB) : $(PDF_JS_V8_OBJ)
endif

INSTALL_LIBS := $(MUPDF_LIB) $(MUPDF_JS_NONE_LIB) $(MUPDF_JS_V8_LIB)

# --- Rules ---

$(ALL_DIR) $(OUT) $(GEN) :
	$(MKDIR_CMD)

$(OUT)/%.a :
	$(RM_CMD)
	$(AR_CMD)
	$(RANLIB_CMD)

$(OUT)/%: $(OUT)/%.o
	$(LINK_CMD)

$(OUT)/%.o : source/%.c | $(ALL_DIR)
	$(CC_CMD)

$(OUT)/%.o : source/%.cpp | $(ALL_DIR)
	$(CXX_CMD)

$(OUT)/%.o : scripts/%.c | $(OUT)
	$(CC_CMD)

$(OUT)/platform/x11/%.o : platform/x11/%.c | $(ALL_DIR)
	$(CC_CMD) $(X11_CFLAGS) $(CURL_CFLAGS)

$(OUT)/platform/x11/curl/%.o : platform/x11/%.c | $(ALL_DIR)
	mkdir -p $(OUT)/platform/x11/curl
	$(CC_CMD) $(X11_CFLAGS) $(CURL_CFLAGS) -DHAVE_CURL

.PRECIOUS : $(OUT)/%.o # Keep intermediates from chained rules

# --- Generated CMAP, FONT and JAVASCRIPT files ---

CMAPDUMP := $(OUT)/cmapdump
FONTDUMP := $(OUT)/fontdump
CQUOTE := $(OUT)/cquote
BIN2HEX := $(OUT)/bin2hex

CMAP_CNS_SRC := $(wildcard resources/cmaps/cns/*)
CMAP_GB_SRC := $(wildcard resources/cmaps/gb/*)
CMAP_JAPAN_SRC := $(wildcard resources/cmaps/japan/*)
CMAP_KOREA_SRC := $(wildcard resources/cmaps/korea/*)

FONT_BASE14_SRC := $(wildcard resources/fonts/*.cff)
FONT_DROID_SRC := resources/fonts/droid/DroidSans.ttf resources/fonts/droid/DroidSansMono.ttf
FONT_CJK_SRC := resources/fonts/droid/DroidSansFallback.ttf
FONT_CJK_FULL_SRC := resources/fonts/droid/DroidSansFallbackFull.ttf

$(GEN)/gen_cmap_cns.h : $(CMAP_CNS_SRC)
	$(QUIET_GEN) $(CMAPDUMP) $@ $(CMAP_CNS_SRC)
$(GEN)/gen_cmap_gb.h : $(CMAP_GB_SRC)
	$(QUIET_GEN) $(CMAPDUMP) $@ $(CMAP_GB_SRC)
$(GEN)/gen_cmap_japan.h : $(CMAP_JAPAN_SRC)
	$(QUIET_GEN) $(CMAPDUMP) $@ $(CMAP_JAPAN_SRC)
$(GEN)/gen_cmap_korea.h : $(CMAP_KOREA_SRC)
	$(QUIET_GEN) $(CMAPDUMP) $@ $(CMAP_KOREA_SRC)

CMAP_GEN := $(addprefix $(GEN)/, gen_cmap_cns.h gen_cmap_gb.h gen_cmap_japan.h gen_cmap_korea.h)

$(GEN)/gen_font_base14.h : $(FONT_BASE14_SRC)
	$(QUIET_GEN) $(FONTDUMP) $@ $(FONT_BASE14_SRC)
$(GEN)/gen_font_droid.h : $(FONT_DROID_SRC)
	$(QUIET_GEN) $(FONTDUMP) $@ $(FONT_DROID_SRC)
$(GEN)/gen_font_cjk.h : $(FONT_CJK_SRC)
	$(QUIET_GEN) $(FONTDUMP) $@ $(FONT_CJK_SRC)
$(GEN)/gen_font_cjk_full.h : $(FONT_CJK_FULL_SRC)
	$(QUIET_GEN) $(FONTDUMP) $@ $(FONT_CJK_FULL_SRC)

FONT_GEN := $(GEN)/gen_font_base14.h $(GEN)/gen_font_droid.h $(GEN)/gen_font_cjk.h $(GEN)/gen_font_cjk_full.h

JAVASCRIPT_SRC := source/pdf/js/pdf-util.js
JAVASCRIPT_GEN := $(GEN)/gen_js_util.h
$(JAVASCRIPT_GEN) : $(JAVASCRIPT_SRC)
	$(QUIET_GEN) $(CQUOTE) $@ $(JAVASCRIPT_SRC)

ADOBECA_SRC := resources/certs/AdobeCA.p7c
ADOBECA_GEN := $(GEN)/gen_adobe_ca.h
$(ADOBECA_GEN) : $(ADOBECA_SRC)
	$(QUIET_GEN) $(BIN2HEX) $@ $(ADOBECA_SRC)

ifeq "$(CROSSCOMPILE)" ""
$(CMAP_GEN) : $(CMAPDUMP) | $(GEN)
$(FONT_GEN) : $(FONTDUMP) | $(GEN)
$(JAVASCRIPT_GEN) : $(CQUOTE) | $(GEN)
$(ADOBECA_GEN) : $(BIN2HEX) | $(GEN)
endif

generate: $(CMAP_GEN) $(FONT_GEN) $(JAVASCRIPT_GEN) $(ADOBECA_GEN)

$(OUT)/pdf/pdf-cmap-table.o : $(CMAP_GEN)
$(OUT)/pdf/pdf-fontfile.o : $(FONT_GEN)
$(OUT)/pdf/pdf-pkcs7.o : $(ADOBECA_GEN)
$(OUT)/pdf/js/pdf-js.o : $(JAVASCRIPT_GEN)
$(OUT)/cmapdump.o : source/pdf/pdf-cmap.c source/pdf/pdf-cmap-parse.c

# --- Tools and Apps ---

MUDRAW := $(addprefix $(OUT)/, mudraw)
$(MUDRAW) : $(MUPDF_LIB) $(MUPDF_JS_NONE_LIB) $(THIRD_LIBS)
$(MUDRAW) : $(addprefix $(OUT)/tools/, mudraw.o)
	$(LINK_CMD)

MUTOOL := $(addprefix $(OUT)/, mutool)
$(MUTOOL) : $(MUPDF_LIB) $(MUPDF_JS_NONE_LIB) $(THIRD_LIBS)
$(MUTOOL) : $(addprefix $(OUT)/tools/, mutool.o pdfclean.o pdfextract.o pdfinfo.o pdfposter.o pdfshow.o)
	$(LINK_CMD)

ifeq "$(V8_PRESENT)" "yes"
MUJSTEST_V8 := $(OUT)/mujstest-v8
$(MUJSTEST_V8) : $(MUPDF_LIB) $(MUPDF_JS_V8_LIB) $(THIRD_LIBS)
$(MUJSTEST_V8) : $(addprefix $(OUT)/platform/x11/, jstest_main.o pdfapp.o)
	$(LINK_CMD) $(V8_LIBS)
endif

ifeq "$(NOX11)" ""
MUVIEW_X11 := $(OUT)/mupdf-x11
$(MUVIEW_X11) : $(MUPDF_LIB) $(MUPDF_JS_NONE_LIB) $(THIRD_LIBS)
$(MUVIEW_X11) : $(addprefix $(OUT)/platform/x11/, x11_main.o x11_image.o pdfapp.o)
	$(LINK_CMD) $(X11_LIBS)

ifeq "$(NOCURL)" ""
MUVIEW_X11_CURL := $(OUT)/mupdf-x11-curl
$(MUVIEW_X11_CURL) : $(MUPDF_LIB) $(MUPDF_JS_NONE_LIB) $(THIRD_LIBS) $(CURL_LIB)
$(MUVIEW_X11_CURL) : $(addprefix $(OUT)/platform/x11/curl/, x11_main.o x11_image.o pdfapp.o curl_stream.o)
	$(LINK_CMD) $(X11_LIBS) $(CURL_LIBS)
endif
endif

ifeq "$(V8_PRESENT)" "yes"
ifeq "$(NOX11)" ""
MUVIEW_X11_V8 := $(OUT)/mupdf-x11-v8
$(MUVIEW_X11_V8) : $(MUPDF_LIB) $(MUPDF_JS_V8_LIB) $(THIRD_LIBS)
$(MUVIEW_X11_V8) : $(addprefix $(OUT)/platform/x11/, x11_main.o x11_image.o pdfapp.o)
	$(LINK_CMD) $(X11_LIBS) $(V8_LIBS)
endif
endif

MUVIEW := $(MUVIEW_X11)
MUVIEW_V8 := $(MUVIEW_X11_V8)
MUVIEW_CURL := $(MUVIEW_X11_CURL)

INSTALL_APPS := $(MUDRAW) $(MUTOOL) $(MUVIEW) $(MUJSTEST_V8) $(MUVIEW_V8) $(MUVIEW_CURL)

# --- Format man pages ---

%.txt: %.1
	nroff -man $< | col -b | expand > $@

MAN_FILES := $(wildcard docs/man/*.1)
TXT_FILES := $(MAN_FILES:%.1=%.txt)

catman: $(TXT_FILES)

# --- Install ---

prefix ?= /usr/local
bindir ?= $(prefix)/bin
libdir ?= $(prefix)/lib
incdir ?= $(prefix)/include
mandir ?= $(prefix)/share/man
docdir ?= $(prefix)/share/doc/mupdf

third: $(THIRD_LIBS)
libs: $(INSTALL_LIBS)
apps: $(INSTALL_APPS)

install: libs apps
	install -d $(DESTDIR)$(incdir)/mupdf
	install -d $(DESTDIR)$(incdir)/mupdf/fitz
	install -d $(DESTDIR)$(incdir)/mupdf/pdf
	install include/mupdf/*.h $(DESTDIR)$(incdir)/mupdf
	install include/mupdf/fitz/*.h $(DESTDIR)$(incdir)/mupdf/fitz
	install include/mupdf/pdf/*.h $(DESTDIR)$(incdir)/mupdf/pdf

	install -d $(DESTDIR)$(libdir)
	install $(INSTALL_LIBS) $(DESTDIR)$(libdir)

	install -d $(DESTDIR)$(bindir)
	install $(INSTALL_APPS) $(DESTDIR)$(bindir)

	install -d $(DESTDIR)$(mandir)/man1
	install docs/man/*.1 $(DESTDIR)$(mandir)/man1

	install -d $(DESTDIR)$(docdir)
	install README COPYING CHANGES docs/*.txt $(DESTDIR)$(docdir)

tarball:
	bash scripts/archive.sh

# --- Clean and Default ---

tags: $(shell find include source -name '*.[ch]')
	ctags $^

all: libs apps

all-nojs:
	$(MAKE) V8_PRESENT=no

clean:
	rm -rf $(OUT)
nuke:
	rm -rf build/* $(GEN)

.PHONY: all clean nuke install third libs apps generate

=== debian/changelog ===
mupdf (1.3-2) unstable; urgency=medium

  * Fix CVE-2014-2013: Stack-based Buffer Overflow in
    xps_parse_color(). (Closes: #738857)
  * Add description of key P to mupdf(1). (Closes: #736125)
  * Add description of BROWSER env to mupdf(1). (Closes: #699684)
  * Bump Standards-Version to 3.9.5, no changes needed
  
 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 09 Mar 2014 23:41:55 +0800

mupdf (1.3-1) unstable; urgency=low

  * New upstream release. (Closes: #719281, #686806, #667971)
  * Remove fix_compiling_1.2.patch
  * Disable JPEG2000 support if compiled with libopenjpeg2
  * Fix header mismatch with libjpeg-dev. (Closes: #717201)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 25 Nov 2013 01:38:45 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: mupdf
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
+Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
 Uploaders: Quoc-Viet Nguyen <afelion@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1.1~),
  libfreetype6-dev, pkg-config, libjpeg-dev, libjbig2dec-dev,
  libopenjpeg-dev, libx11-dev, libxext-dev, zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mupdf.com/
 Vcs-Git: git://git.debian.org/git/users/koster/mupdf.git
 Vcs-Browser: http://git.debian.org/?p=users/koster/mupdf.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,8 @@
 endif
 
 override_dh_auto_build:
+	# Use system libjpeg jconfig.h
+	-rm scripts/jconfig.h
 	$(MAKE) build=release OS=Linux
 
 override_dh_auto_install:

=== debian/watch ===
version=3
opts=uversionmangle=s/(\db?)[\._\-](windows)/$1~$2/;s/(\db?)[_\-\.](sources?)$/$1/ \
http://mupdf.com/download/ \
(?:.*/|.*=|)mupdf[\-\._]?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip|7z|jar)

## mupdf 1.4

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # Do not specify CFLAGS or LIBS on the make invocation line - specify
 # XCFLAGS or XLIBS instead. Make ignores any lines in the makefile that
 # set a variable that was set on the command line.
-CFLAGS += $(XCFLAGS) -Iinclude -Iscripts -I$(GEN)
+CFLAGS += $(XCFLAGS) -Iinclude -I$(GEN)
 LIBS += $(XLIBS) -lm
 
 include Makerules
@@ -41,7 +41,7 @@
 
 # --- Commands ---
 
-ifeq "$(verbose)" ""
+ifneq "$(verbose)" "yes"
 QUIET_AR = @ echo ' ' ' ' AR $@ ;
 QUIET_CC = @ echo ' ' ' ' CC $@ ;
 QUIET_CXX = @ echo ' ' ' ' CXX $@ ;
@@ -65,8 +65,10 @@
 ALL_DIR += $(OUT)/xps
 ALL_DIR += $(OUT)/cbz
 ALL_DIR += $(OUT)/img
+ALL_DIR += $(OUT)/tiff
 ALL_DIR += $(OUT)/tools
 ALL_DIR += $(OUT)/platform/x11
+ALL_DIR += $(OUT)/platform/x11/curl
 
 FITZ_HDR := include/mupdf/fitz.h $(wildcard include/mupdf/fitz/*.h)
 PDF_HDR := include/mupdf/pdf.h $(wildcard include/mupdf/pdf/*.h)
@@ -79,45 +81,58 @@
 XPS_SRC := $(wildcard source/xps/*.c)
 CBZ_SRC := $(wildcard source/cbz/*.c)
 IMG_SRC := $(wildcard source/img/*.c)
+TIFF_SRC := $(wildcard source/tiff/*.c)
 
 FITZ_SRC_HDR := $(wildcard source/fitz/*.h)
 PDF_SRC_HDR := $(wildcard source/pdf/*.h)
 XPS_SRC_HDR := $(wildcard source/xps/*.h)
 CBZ_SRC_HDR := $(wildcard source/cbz/*.h)
 IMG_SRC_HDR := $(wildcard source/img/*.h)
+TIFF_SRC_HDR := $(wildcard source/tiff/*.h)
 
 FITZ_OBJ := $(subst source/, $(OUT)/, $(addsuffix .o, $(basename $(FITZ_SRC))))
 PDF_OBJ := $(subst source/, $(OUT)/, $(addsuffix .o, $(basename $(PDF_SRC))))
 XPS_OBJ := $(subst source/, $(OUT)/, $(addsuffix .o, $(basename $(XPS_SRC))))
 CBZ_OBJ := $(subst source/, $(OUT)/, $(addsuffix .o, $(basename $(CBZ_SRC))))
 IMG_OBJ := $(subst source/, $(OUT)/, $(addsuffix .o, $(basename $(IMG_SRC))))
-
-PDF_JS_V8_OBJ := $(OUT)/pdf/js/pdf-js.o $(OUT)/pdf/js/pdf-jsimp-cpp.o $(OUT)/pdf/js/pdf-jsimp-v8.o
-PDF_JS_NONE_OBJ := $(OUT)/pdf/js/pdf-js-none.o
+TIFF_OBJ := $(subst source/, $(OUT)/, $(addsuffix .o, $(basename $(TIFF_SRC))))
+
+# --- Choice of Javascript library ---
+
+ifeq "$(HAVE_MUJS)" "yes"
+PDF_OBJ += $(OUT)/pdf/js/pdf-js.o
+PDF_OBJ += $(OUT)/pdf/js/pdf-jsimp-mu.o
+THIRD_LIBS += $(MUJS_LIB)
+LIBS += $(MUJS_LIBS)
+CFLAGS += $(MUJS_CFLAGS)
+else ifeq "$(HAVE_JSCORE)" "yes"
+PDF_OBJ += $(OUT)/pdf/js/pdf-js.o
+PDF_OBJ += $(OUT)/pdf/js/pdf-jsimp-jscore.o
+LIBS += $(JSCORE_LIBS)
+CFLAGS += $(JSCORE_CFLAGS)
+else ifeq "$(HAVE_V8)" "yes"
+PDF_OBJ += $(OUT)/pdf/js/pdf-js.o
+PDF_OBJ += $(OUT)/pdf/js/pdf-jsimp-cpp.o $(OUT)/pdf/js/pdf-jsimp-v8.o
+LIBS += $(V8_LIBS)
+CFLAGS += $(V8_CFLAGS)
+else
+PDF_OBJ += $(OUT)/pdf/js/pdf-js-none.o
+endif
 
 $(FITZ_OBJ) : $(FITZ_HDR) $(FITZ_SRC_HDR)
 $(PDF_OBJ) : $(FITZ_HDR) $(PDF_HDR) $(PDF_SRC_HDR)
 $(XPS_OBJ) : $(FITZ_HDR) $(XPS_HDR) $(XPS_SRC_HDR)
 $(CBZ_OBJ) : $(FITZ_HDR) $(CBZ_HDR) $(CBZ_SRC_HDR)
 $(IMG_OBJ) : $(FITZ_HDR) $(IMG_HDR) $(IMG_SRC_HDR)
-
-$(PDF_JS_V8_OBJ) : $(FITZ_HDR) $(PDF_HDR) $(PDF_SRC_HDR)
-$(PDF_JS_NONE_OBJ) :=  $(FITZ_HDR) $(PDF_HDR) $(PDF_SRC_HDR)
+$(TIFF_OBJ) : $(FITZ_HDR) $(IMG_HDR) $(TIFF_SRC_HDR)
 
 # --- Library ---
 
 MUPDF_LIB := $(OUT)/libmupdf.a
-MUPDF_JS_NONE_LIB := $(OUT)/libmupdf-js-none.a
-
-$(MUPDF_LIB) : $(FITZ_OBJ) $(PDF_OBJ) $(XPS_OBJ) $(CBZ_OBJ) $(IMG_OBJ)
-$(MUPDF_JS_NONE_LIB) : $(PDF_JS_NONE_OBJ)
-
-ifeq "$(V8_PRESENT)" "yes"
-MUPDF_JS_V8_LIB := $(OUT)/libmupdf-js-v8.a
-$(MUPDF_JS_V8_LIB) : $(PDF_JS_V8_OBJ)
-endif
-
-INSTALL_LIBS := $(MUPDF_LIB) $(MUPDF_JS_NONE_LIB) $(MUPDF_JS_V8_LIB)
+
+$(MUPDF_LIB) : $(FITZ_OBJ) $(PDF_OBJ) $(XPS_OBJ) $(CBZ_OBJ) $(IMG_OBJ) $(TIFF_OBJ)
+
+INSTALL_LIBS := $(MUPDF_LIB)
 
 # --- Rules ---
 
@@ -142,10 +157,9 @@
 	$(CC_CMD)
 
 $(OUT)/platform/x11/%.o : platform/x11/%.c | $(ALL_DIR)
-	$(CC_CMD) $(X11_CFLAGS) $(CURL_CFLAGS)
+	$(CC_CMD) $(X11_CFLAGS)
 
 $(OUT)/platform/x11/curl/%.o : platform/x11/%.c | $(ALL_DIR)
-	mkdir -p $(OUT)/platform/x11/curl
 	$(CC_CMD) $(X11_CFLAGS) $(CURL_CFLAGS) -DHAVE_CURL
 
 .PRECIOUS : $(OUT)/%.o # Keep intermediates from chained rules
@@ -162,7 +176,7 @@
 CMAP_JAPAN_SRC := $(wildcard resources/cmaps/japan/*)
 CMAP_KOREA_SRC := $(wildcard resources/cmaps/korea/*)
 
-FONT_BASE14_SRC := $(wildcard resources/fonts/*.cff)
+FONT_BASE14_SRC := $(wildcard resources/fonts/urw/*.cff)
 FONT_DROID_SRC := resources/fonts/droid/DroidSans.ttf resources/fonts/droid/DroidSansMono.ttf
 FONT_CJK_SRC := resources/fonts/droid/DroidSansFallback.ttf
 FONT_CJK_FULL_SRC := resources/fonts/droid/DroidSansFallbackFull.ttf
@@ -199,7 +213,7 @@
 $(ADOBECA_GEN) : $(ADOBECA_SRC)
 	$(QUIET_GEN) $(BIN2HEX) $@ $(ADOBECA_SRC)
 
-ifeq "$(CROSSCOMPILE)" ""
+ifneq "$(CROSSCOMPILE)" "yes"
 $(CMAP_GEN) : $(CMAPDUMP) | $(GEN)
 $(FONT_GEN) : $(FONTDUMP) | $(GEN)
 $(JAVASCRIPT_GEN) : $(CQUOTE) | $(GEN)
@@ -217,50 +231,54 @@
 # --- Tools and Apps ---
 
 MUDRAW := $(addprefix $(OUT)/, mudraw)
-$(MUDRAW) : $(MUPDF_LIB) $(MUPDF_JS_NONE_LIB) $(THIRD_LIBS)
-$(MUDRAW) : $(addprefix $(OUT)/tools/, mudraw.o)
+MUDRAW_OBJ := $(addprefix $(OUT)/tools/, mudraw.o)
+$(MUDRAW_OBJ) : $(FITZ_HDR)
+$(MUDRAW) : $(MUPDF_LIB) $(THIRD_LIBS)
+$(MUDRAW) : $(MUDRAW_OBJ)
 	$(LINK_CMD)
 
 MUTOOL := $(addprefix $(OUT)/, mutool)
-$(MUTOOL) : $(MUPDF_LIB) $(MUPDF_JS_NONE_LIB) $(THIRD_LIBS)
-$(MUTOOL) : $(addprefix $(OUT)/tools/, mutool.o pdfclean.o pdfextract.o pdfinfo.o pdfposter.o pdfshow.o)
-	$(LINK_CMD)
-
-ifeq "$(V8_PRESENT)" "yes"
-MUJSTEST_V8 := $(OUT)/mujstest-v8
-$(MUJSTEST_V8) : $(MUPDF_LIB) $(MUPDF_JS_V8_LIB) $(THIRD_LIBS)
-$(MUJSTEST_V8) : $(addprefix $(OUT)/platform/x11/, jstest_main.o pdfapp.o)
-	$(LINK_CMD) $(V8_LIBS)
-endif
-
-ifeq "$(NOX11)" ""
+MUTOOL_OBJ := $(addprefix $(OUT)/tools/, mutool.o pdfclean.o pdfextract.o pdfinfo.o pdfposter.o pdfshow.o)
+$(MUTOOL_OBJ): $(FITZ_HDR) $(PDF_HDR)
+$(MUTOOL) : $(MUPDF_LIB) $(THIRD_LIBS)
+$(MUTOOL) : $(MUTOOL_OBJ)
+	$(LINK_CMD)
+
+MJSGEN := $(OUT)/mjsgen
+$(MJSGEN) : $(MUPDF_LIB) $(THIRD_LIBS)
+$(MJSGEN) : $(addprefix $(OUT)/tools/, mjsgen.o)
+	$(LINK_CMD)
+
+MUJSTEST := $(OUT)/mujstest
+$(MUJSTEST) : $(MUPDF_LIB) $(THIRD_LIBS)
+$(MUJSTEST) : $(addprefix $(OUT)/platform/x11/, jstest_main.o pdfapp.o)
+	$(LINK_CMD)
+
+ifeq "$(HAVE_X11)" "yes"
 MUVIEW_X11 := $(OUT)/mupdf-x11
-$(MUVIEW_X11) : $(MUPDF_LIB) $(MUPDF_JS_NONE_LIB) $(THIRD_LIBS)
+$(MUVIEW_X11) : $(MUPDF_LIB) $(THIRD_LIBS)
 $(MUVIEW_X11) : $(addprefix $(OUT)/platform/x11/, x11_main.o x11_image.o pdfapp.o)
 	$(LINK_CMD) $(X11_LIBS)
 
-ifeq "$(NOCURL)" ""
+ifeq "$(HAVE_CURL)" "yes"
 MUVIEW_X11_CURL := $(OUT)/mupdf-x11-curl
-$(MUVIEW_X11_CURL) : $(MUPDF_LIB) $(MUPDF_JS_NONE_LIB) $(THIRD_LIBS) $(CURL_LIB)
+$(MUVIEW_X11_CURL) : $(MUPDF_LIB) $(THIRD_LIBS) $(CURL_LIB)
 $(MUVIEW_X11_CURL) : $(addprefix $(OUT)/platform/x11/curl/, x11_main.o x11_image.o pdfapp.o curl_stream.o)
 	$(LINK_CMD) $(X11_LIBS) $(CURL_LIBS)
 endif
 endif
 
-ifeq "$(V8_PRESENT)" "yes"
-ifeq "$(NOX11)" ""
-MUVIEW_X11_V8 := $(OUT)/mupdf-x11-v8
-$(MUVIEW_X11_V8) : $(MUPDF_LIB) $(MUPDF_JS_V8_LIB) $(THIRD_LIBS)
-$(MUVIEW_X11_V8) : $(addprefix $(OUT)/platform/x11/, x11_main.o x11_image.o pdfapp.o)
-	$(LINK_CMD) $(X11_LIBS) $(V8_LIBS)
-endif
-endif
-
 MUVIEW := $(MUVIEW_X11)
-MUVIEW_V8 := $(MUVIEW_X11_V8)
 MUVIEW_CURL := $(MUVIEW_X11_CURL)
 
-INSTALL_APPS := $(MUDRAW) $(MUTOOL) $(MUVIEW) $(MUJSTEST_V8) $(MUVIEW_V8) $(MUVIEW_CURL)
+INSTALL_APPS := $(MUDRAW) $(MUTOOL) $(MUVIEW) $(MUJSTEST) $(MUVIEW_CURL)
+
+# --- Update version string header ---
+
+VERSION = $(shell git describe --tags)
+
+version:
+	sed -i~ -e '/FZ_VERSION /s/".*"/"'$(VERSION)'"/' include/mupdf/fitz/version.h
 
 # --- Format man pages ---
 
@@ -310,13 +328,10 @@
 
 # --- Clean and Default ---
 
-tags: $(shell find include source -name '*.[ch]')
+tags: $(shell find include source platform -name '*.[ch]')
 	ctags $^
 
 all: libs apps
-
-all-nojs:
-	$(MAKE) V8_PRESENT=no
 
 clean:
 	rm -rf $(OUT)

=== debian/changelog ===
mupdf (1.4-2ubuntu1) utopic; urgency=medium

  * Disable JavaScript support on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 15:40:32 +0200

mupdf (1.4-2) unstable; urgency=medium

  * Disable JavaScript support on powerpc, s390x and sparc. (Closes: #747131)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 19 May 2014 00:11:11 +0800

mupdf (1.4-1) unstable; urgency=medium

  [ Quoc-Viet Nguyen ]
  * New upstream release.
  * Fix compiling with libopenjpeg5. (Closes: #743103, #735878)

  [ Kan-Ru Chen (陳侃如) ]
  * Update debian/copyright.
  * Enable JavaScript support with v8. (Closes: #743414)
  * Won't crash when pdf file changes. (Closes: #699686)
  * Add mupdf.sh so it could be used with compressed pdf-files. Thanks
    Jörg-Volker Peetz! (Closes: #734183)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 20 Apr 2014 01:49:29 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Quoc-Viet Nguyen <afelion@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1.1~),
  libfreetype6-dev, pkg-config, libjpeg-dev, libjbig2dec-dev,
- libopenjpeg-dev, libx11-dev, libxext-dev, zlib1g-dev
+ libopenjpeg-dev, libx11-dev, libxext-dev, zlib1g-dev,
+ libv8-dev [!arm64 !powerpc !s390x !sparc]
 Standards-Version: 3.9.5
 Homepage: http://mupdf.com/
 Vcs-Git: git://git.debian.org/git/users/koster/mupdf.git

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
 # missing (hardening) flags.
 CFLAGS += $(CPPFLAGS)
@@ -24,13 +25,18 @@
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
+BUILD_FLAGS=build=release OS=Linux
+ifeq (,$(strip $(foreach arch,arm64 powerpc s390x sparc,$(findstring $(arch),$(DEB_HOST_ARCH)))))
+	BUILD_FLAGS += HAVE_V8=yes
+endif
+
+
 override_dh_auto_build:
-	# Use system libjpeg jconfig.h
-	-rm scripts/jconfig.h
-	$(MAKE) build=release OS=Linux
+	$(MAKE) $(BUILD_FLAGS)
 
 override_dh_auto_install:
-	$(MAKE) build=release OS=Linux prefix=$(CURDIR)/debian/tmp/usr install
+	$(MAKE) $(BUILD_FLAGS) prefix=$(CURDIR)/debian/tmp/usr install
+	install -m744 -T $(CURDIR)/debian/mupdf.sh $(CURDIR)/debian/tmp/usr/bin/mupdf
 
 override_dh_auto_clean:
 	-rm -rf build

## mupdf 1.5

=== Makefile ===
--- 
+++ 
@@ -178,8 +178,8 @@
 
 FONT_BASE14_SRC := $(wildcard resources/fonts/urw/*.cff)
 FONT_DROID_SRC := resources/fonts/droid/DroidSans.ttf resources/fonts/droid/DroidSansMono.ttf
-FONT_CJK_SRC := resources/fonts/droid/DroidSansFallback.ttf
-FONT_CJK_FULL_SRC := resources/fonts/droid/DroidSansFallbackFull.ttf
+FONT_CJK_SRC := resources/fonts/droid/DroidSansFallback.ttc
+FONT_CJK_FULL_SRC := resources/fonts/droid/DroidSansFallbackFull.ttc
 
 $(GEN)/gen_cmap_cns.h : $(CMAP_CNS_SRC)
 	$(QUIET_GEN) $(CMAPDUMP) $@ $(CMAP_CNS_SRC)
@@ -226,7 +226,7 @@
 $(OUT)/pdf/pdf-fontfile.o : $(FONT_GEN)
 $(OUT)/pdf/pdf-pkcs7.o : $(ADOBECA_GEN)
 $(OUT)/pdf/js/pdf-js.o : $(JAVASCRIPT_GEN)
-$(OUT)/cmapdump.o : source/pdf/pdf-cmap.c source/pdf/pdf-cmap-parse.c
+$(OUT)/cmapdump.o : include/mupdf/pdf/cmap.h source/pdf/pdf-cmap.c source/pdf/pdf-cmap-parse.c
 
 # --- Tools and Apps ---
 
@@ -256,15 +256,19 @@
 
 ifeq "$(HAVE_X11)" "yes"
 MUVIEW_X11 := $(OUT)/mupdf-x11
+MUVIEW_X11_OBJ := $(addprefix $(OUT)/platform/x11/, x11_main.o x11_image.o pdfapp.o)
+$(MUVIEW_X11_OBJ) : $(FITZ_HDR) $(PDF_HDR)
 $(MUVIEW_X11) : $(MUPDF_LIB) $(THIRD_LIBS)
-$(MUVIEW_X11) : $(addprefix $(OUT)/platform/x11/, x11_main.o x11_image.o pdfapp.o)
+$(MUVIEW_X11) : $(MUVIEW_X11_OBJ)
 	$(LINK_CMD) $(X11_LIBS)
 
 ifeq "$(HAVE_CURL)" "yes"
 MUVIEW_X11_CURL := $(OUT)/mupdf-x11-curl
+MUVIEW_X11_CURL_OBJ := $(addprefix $(OUT)/platform/x11/curl/, x11_main.o x11_image.o pdfapp.o curl_stream.o)
+$(MUVIEW_X11_CURL_OBJ) : $(FITZ_HDR) $(PDF_HDR)
 $(MUVIEW_X11_CURL) : $(MUPDF_LIB) $(THIRD_LIBS) $(CURL_LIB)
-$(MUVIEW_X11_CURL) : $(addprefix $(OUT)/platform/x11/curl/, x11_main.o x11_image.o pdfapp.o curl_stream.o)
-	$(LINK_CMD) $(X11_LIBS) $(CURL_LIBS)
+$(MUVIEW_X11_CURL) : $(MUVIEW_X11_CURL_OBJ)
+	$(LINK_CMD) $(X11_LIBS) $(CURL_LIBS) $(SYS_CURL_DEPS)
 endif
 endif
 
@@ -299,7 +303,7 @@
 mandir ?= $(prefix)/share/man
 docdir ?= $(prefix)/share/doc/mupdf
 
-third: $(THIRD_LIBS)
+third: $(THIRD_LIBS) $(CURL_LIB)
 libs: $(INSTALL_LIBS)
 apps: $(INSTALL_APPS)

=== thirdparty/mujs/Makefile ===
SRCS := $(wildcard js*.c utf*.c regex.c)
HDRS := $(wildcard js*.h mujs.h utf.h regex.h)
OBJS := $(SRCS:%.c=build/%.o)

prefix ?= /usr/local
bindir ?= $(prefix)/bin
incdir ?= $(prefix)/include
libdir ?= $(prefix)/lib

CC := clang
CFLAGS := -std=c99 -pedantic -Wall -Wextra -Wno-unused-parameter -Wunreachable-code

ifeq "$(build)" "debug"
CFLAGS += -g
else
CFLAGS += -O3
endif

default: build build/mujs build/mujsone

debug:
	$(MAKE) build=debug

release:
	$(MAKE) build=release

astnames.h: jsparse.h
	grep '\(AST\|EXP\|STM\)_' jsparse.h | sed 's/^[ \t]*\(AST_\)\?/"/;s/,.*/",/' | tr A-Z a-z > $@

opnames.h: jscompile.h
	grep 'OP_' jscompile.h | sed 's/^[ \t]*OP_/"/;s/,.*/",/' | tr A-Z a-z > $@

one.c: $(SRCS)
	ls $(SRCS) | awk '{print "#include \""$$1"\""}' > $@

jsdump.c: astnames.h opnames.h

build:
	mkdir -p build

build/%.o: %.c $(HDRS)
	$(CC) $(CFLAGS) -o $@ -c $<

build/libmujs.a: $(OBJS)
	ar cru $@ $^

build/mujs: build/main.o build/libmujs.a
	$(CC) -o $@ $^ -lm

build/mujsone: build/main.o build/one.o
	$(CC) -o $@ $^ -lm

install: release
	install -d $(DESTDIR)$(incdir)
	install -d $(DESTDIR)$(libdir)
	install -d $(DESTDIR)$(bindir)
	install -t $(DESTDIR)$(incdir) mujs.h
	install -t $(DESTDIR)$(libdir) build/libmujs.a
	install -t $(DESTDIR)$(bindir) build/mujs

tags: $(SRCS) main.c $(HDRS)
	ctags $^

test: build/js
	python tests/sputniktests/tools/sputnik.py --tests=tests/sputniktests --command ./build/js --summary

clean:
	rm -f astnames.h opnames.h one.c build/*

.PHONY: default test clean install debug release

=== debian/changelog ===
mupdf (1.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #761960)
  * Use git-buildpackage to maintain the package repository
  * Unapply patches from source after build
  * Use MUJS to provide JS functionality (Closes: #760480, #745247)
  * Build against openjpeg 2.1 (Closes: #745246, #761955)
  * Fix build with libopenjp2.
  * Fix -Werror=format-security error
  * debian/copyright: Add Files-Excluded header
  * debian/copyright: Update short license name
  * Fix unsafe conversion from float to fz_linecap (Closes: #749902)
  * Enable verbose build log
  * Fix FTBFS with clang.
    Thanks to Alexander (Closes: #755741)
  * Document mudraw -F command line switch in man page (Closes: #750724)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 20 Sep 2014 23:18:10 +0800

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Uploaders: Quoc-Viet Nguyen <afelion@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1.1~),
  libfreetype6-dev, pkg-config, libjpeg-dev, libjbig2dec-dev,
- libopenjpeg-dev, libx11-dev, libxext-dev, zlib1g-dev,
- libv8-dev [!arm64 !powerpc !s390x !sparc]
-Standards-Version: 3.9.5
+ libopenjp2-7-dev, libx11-dev, libxext-dev, zlib1g-dev
+Standards-Version: 3.9.6
 Homepage: http://mupdf.com/
 Vcs-Git: git://git.debian.org/git/users/koster/mupdf.git
 Vcs-Browser: http://git.debian.org/?p=users/koster/mupdf.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,7 @@
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-BUILD_FLAGS=build=release OS=Linux
-ifeq (,$(strip $(foreach arch,arm64 powerpc s390x sparc,$(findstring $(arch),$(DEB_HOST_ARCH)))))
-	BUILD_FLAGS += HAVE_V8=yes
-endif
-
+BUILD_FLAGS=build=release OS=Linux verbose=yes
 
 override_dh_auto_build:
 	$(MAKE) $(BUILD_FLAGS)

## mupdf 1.6

=== debian/changelog ===
mupdf (1.6-1) unstable; urgency=medium

  * New upstream release. (Closes: #767391)
  * Refresh patches.
  * debian/copyright: New files source/fitz/{ftoa.c,strtod.c}

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 01 Nov 2014 19:28:58 +0800
